Google-Search-Scraper-Nodejs is a nodejs package to search keyword on google and fetch search results using browser automation. 
It currently runs only on windows.

### Installation

```sh
npm install google-search-scraper-nodejs
```

### Example 1
In this example we first import package, then we search a keyword and fetched results.
```sh
var google=require("google-search-scraper-nodejs");
function get_data(response){
	var data=response["body"]
	console.log("data",data)	
}
function fetch_results(){
    	google.search_results(get_data)

google.search("shoes",fetch_results)
```

### Example 2
In this example we first import package, then we search a keyword in images and fetched results.
```sh
var google=require("google-search-scraper-nodejs");
function get_data(response){
	var data=response["body"]
	console.log("data",data)	
}
function fetch_results(){
    	google.search_image_results(get_data)
}
google.search_images("shoes",fetch_results)
```

### Youtube Video
[![](http://img.youtube.com/vi/Pw_rhJoNmNc/0.jpg)](https://www.youtube.com/watch?v=Pw_rhJoNmNc "")

#### DataKund
[datakund](https://www.npmjs.com/package/datakund) is needed for browser automation. As soon as this package is imported in code, automated browser will open up.


### Import
```sh
var google=require("google-search-scraper-nodejs");
```

### Search a keyword
```sh
google.search("shoes")
```

### Search a keyword on images
```sh
google.search_images("shoes")
```

### Get search results
```sh
google.search_results()
```

### Get search image results
```sh
google.search_image_results()
```

### Click on next page
```sh
google.click_next()
```

### Scroll
```sh
google.scroll()
```
### Contact Us
* [Telegram](https://t.me/datakund)
* [Website](https://datakund.com)

